import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import { setHtmlFontSize } from './utils/px2rem.js'
// icon-loader
import Icon from 'vue-svg-icon/Icon.vue'
Vue.component('icon', Icon);

// material
import VueMaterial from 'vue-material'
import 'vue-material/dist/vue-material.min.css'
import 'vue-material/dist/theme/default.css'
// import 'vue-material/dist/theme/default-dark.css'
import 'material-design-icons/iconfont/material-icons.css'
Vue.use(VueMaterial)

//px2rem
setHtmlFontSize();

// 剪切板
import VueClipboard from "vue-clipboard2";
Vue.use(VueClipboard);

// 手势控件
var VueTouch = require('vue-touch')
Vue.use(VueTouch, { name: 'v-touch' })

// vconsole
import Vconsole from 'vconsole';
new Vconsole();

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
